Bug 1831071 - View Image Vulnerabilities should not be the first Pod action
Summary: View Image Vulnerabilities should not be the first Pod action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.5.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-04 14:57 UTC by Samuel Padgett
Modified: 2020-07-13 17:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.5.0-0.ci-2020-05-04-102311 Cluster ID: bbbc90c0-7879-4bf5-b914-a6b85904bf0d Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:75.0) Gecko/20100101 Firefox/75.0
Last Closed: 2020-07-13 17:34:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5281 0 None closed Bug 1831071: Remove View Image Vulnerabilities action 2020-08-25 15:21:12 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:34:57 UTC

Description Samuel Padgett 2020-05-04 14:57:27 UTC
When the Container Security Operator is installed, the Pod page has "View Image Vulnerabilities" and its top action. This action isn't the most common, so shouldn't be first.

We might consider removing the action altogether since we have a tab for the vulnerabilities.

Comment 1 Samuel Padgett 2020-05-04 15:14:17 UTC
Plugin actions are currently always first in the list. I'm not sure if that's the right position. Changing it would affect a number of plugins.

Comment 2 Peter Kreuser 2020-05-04 15:25:06 UTC
Agreed that this action could probably be removed once we have the "Image Vulnerabilities" tab on pods that list out their related ImageManifestVulns.

Comment 5 shahan 2020-05-07 06:35:34 UTC
The pod page has not View Image Vulnerabilities action any more
4.5.0-0.nightly-2020-05-06-003431

Comment 6 errata-xmlrpc 2020-07-13 17:34:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.